org.eclipse.net4j.util.container

## Interface IContainerDelta<E>

- All Known Implementing Classes:
    ContainerDelta

      public interface IContainerDelta<E>

  Describes the addition or removal of a single element from a `container`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IContainerDelta.Kind` Enumerates the possible `container delta` kinds `IContainerDelta.Kind.ADDED` or `IContainerDelta.Kind.REMOVED`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `getElement()`
    `IContainerDelta.Kind` | `getKind()`

- - ### Method Detail

    - #### getElement

          E getElement()

    - #### getKind

          IContainerDelta.Kind getKind()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html